<!DOCTYPE html>
<html lang="es" dir="ltr">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <script>
        (function (i, s, o, g, r, a, m) {
            i["GoogleAnalyticsObject"] = r;
            i[r] = i[r] || function () {
                (i[r].q = i[r].q || []).push(arguments)
            },
                i[r].l = 1 * new Date();
            a = s.createElement(o),
                m = s.getElementsByTagName(o)[0];
            a.async = 1;
            a.src = g;
            m.parentNode.insertBefore(a, m)
        })(window, document, "script", "https://www.google-analytics.com/analytics.js", "ga");
        ga("create", "UA-56042515-1", {
            "cookieDomain": "auto"
        });
        ga("set", "anonymizeIp", true);
        ga("send", "pageview");
    </script>
    <meta name="Generator" content="Drupal 8 (https://www.drupal.org)" />
    <meta name="MobileOptimized" content="width" />
    <meta name="HandheldFriendly" content="true" />
    <link rel="shortcut icon" href="https://www.scjn.gob.mx/themes/internet_subtheme/favicon.ico"
        type="image/vnd.microsoft.icon" />
    <link rel="canonical" href="https://www.scjn.gob.mx/mapa-de-sitio" />
    <link rel="shortlink" href="https://www.scjn.gob.mx/mapa-de-sitio" />
    <link rel="revision" href="https://www.scjn.gob.mx/mapa-de-sitio" />
    <title>Mapa de Sitio | Suprema Corte de Justicia de la Nación</title>
    <link rel="stylesheet" media="all" href="sites/default/files/css/estilos0.min.css" />
    <link rel="stylesheet" media="all" href="https://cdn.jsdelivr.net/npm/bootstrap@3.4.1/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" media="all"
        href="https://cdn.jsdelivr.net/npm/@unicorn-fail/drupal-bootstrap-styles@0.0.2/dist/3.4.0/8.x-3.x/drupal-bootstrap.min.css" />
    <link rel="stylesheet" media="all" href="sites/default/files/css/estilos1.min.css" />
    <link rel="stylesheet" href="path/to/font-awesome/css/font-awesome.min.css">
    <!--[if lte IE 8]>
  <script src="/sites/default/files/js/js_VtafjXmRvoUgAzqzYTA3Wrjkx9wcWhjP0G4ZnnqRamA.js"></script>
  <![endif]-->

    <!--  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-bootpag/1.0.4/jquery.bootpag.js" integrity="sha512-thfiS2ryxzPIIj+pdCmdZ6rVwVzy9hFRiz1Of4PmsbkGratBGCsMq+M5ALW3yq2MpSqzF8DEuYR4eJEaygaIRw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script> -->

    <style>

        .container {
            width: 100%;
        }

        /* Start Css Paginacion */
        .container-paginacion {
            display: flex;
            justify-content: center;
            align-items: center;
            width: 100%;
            color: #24135F;
        }

        .pagination>li>a {
            background-color: white;
            color: #24135F;
        }

        .pagination>li>a:focus,
        .pagination>li>a:hover,
        .pagination>li>span:focus,
        .pagination>li>span:hover {
            color: #5a5a5a;
            background-color: #eee;
            border-color: #ddd;
        }

        .pagination>.active>a {
            color: white;
            background-color: #24135F !Important;
            border: solid 1px #24135F !Important;
        }

        .pagination>.active>a:hover {
            background-color: #24135F !Important;
            border: solid 1px #24135F;
        }

        .div1 {
            height: 50px;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        /* *********************Loading********************************** */
        .loader-background {
            width: 100%;
            height: 100%;
            position: relative;
            /* Cambiamos de absolute a relative */
            background-color: #eaeaea4a;
            z-index: 999999;
        }

        .loader {
            border: 16px solid #d4d4d4;
            border-top: 16px solid #24135F;
            border-bottom: 16px solid #24135F;
            border-radius: 70%;
            width: 90px;
            height: 90px;
            animation: spin 1.5s linear infinite;
            position: absolute;
            /* cambiamos de fixed a absolute */
            /* Ponemos el valor de left, bottom, right y top en 0 */
            left: 0;
            bottom: 90;
            right: 0;
            top: 90;
            margin: auto;
            /* Centramos vertical y horizontalmente */
        }

        @keyframes spin {
            0% {
                transform: rotate(0deg);
            }

            100% {
                transform: rotate(360deg);
            }
        }

        /* Highlight de los temas */
        .highlight {
            background-color: yellow;
        }


        .ajustar {
            padding: 0% !important;
            /* margin: 0% !important; */
        }

        .rowFil {
            margin-right: 0px;
            margin-left: 0px;

        }

        .margin-0 {
            margin: 0%;
        }

        element {
            border-width: 1px;
            border-style: solid;
            border-color: red;
        }


        .reduce-padding {
            padding: 0% !important;
        }

        #idLoading {
            background: url('./assets/cargando.gif') no-repeat center center;
           /*  background: url('./assets/cargando.gif')no-repeat top center; */
            /* position: absolute; */
            position: fixed;
            top: 0;
            left: 0;
            height: 100%;
            width: 100%;
            z-index: 9999999;
        }

        #IdCountResultados {
            color:#24135F
        }

        #IdExpediente, #IdSearchTemaByAsunto {
            width: 100%;
            min-height: 2.3em;
            padding-left: 12px;
        }

        .container-filters {
            display: block;
            margin-bottom: 8px;
        }

        .container-filters.number {
            margin-right: 40px;
        }

        @media (max-width: 1200px) {
            .container-filters.number {
            margin-right: 0;
            }
        }

        .container-buttons {
            position: relative;
            float: right;
            margin-top: 30px;
        } 

        .container-select {
            margin-bottom: 10px;
            margin-top: 10px;
        }
        
        .select-date {
            float: right;
        }

        @media (max-width: 600px) {
            .select-date , #formTemas , .container-buttons {
                float: none;
                text-align: center;
            }
        }

        #idSearchFiltros , #idReiniciar {
            background: #24135F;
            color: #fff;
            border: #24135F; 
            min-height: 2.3em; 
            padding: 0 12px;  
        }

        #idReiniciar {
            margin-left: 12px;  
        }

        #idSearchFiltros:hover {
            background-color: #E6E6E6;
            color: #505050;
            border: #E6E6E6;
        }

       #idReiniciar:hover {
            background-color: #d9534f;
            color: #fff;
            border: #d9534f;
        }

        .select-date select {
            padding-right: 2rem;
        }

        .form-select {
            min-height: 2.3em;
            background-color: #E6E6E6;
            color: #000;
            font-size: 1rem;
            border-color: #E6E6E6;
            padding: 0 5px;
        }

        #formTemas {
            margin-top: 9px;
            margin-bottom: 10px;
        }

        .fa-file-pdf-o {
            color: #ff0000;
            font-size: 40px;
        }

        .radio-inline input[type=radio] {
            margin-top: 5px;
        }

        input[type=radio]:checked::after {
            width: 9px;
            height: 9px;
            border-radius: 15px;
            top: -6px;
            left: 2px;
            position: relative;
            background-color: #24135F;
            content: '';
            display: inline-block;
            visibility: visible;
            border: none;
        }

        @media (max-width: 500px) {
            .select-date-option {
                display: grid;
            }
        }

        table {
            width: 100%;
            table-layout: fixed;
            overflow-wrap: break-word;
        } 

        .select-wrapper {
            width: 37%;
        }

    </style>
</head>

<body>
    <div class="" id="idLoading"></div>
    <div class="container">
        <h1 id="IdTitulo" for="tituloplan" class="title">Pleno - Versiones Taquigráficas</h1>
        <div class="col-12 col-xl-12 col-lg-12 col-md-12 col-sm-12"> 
            <div class="row">
                <label id="IdCountResultados" for="countResult"></label>  
            </div>
        </div>
        <div id="IdSeccionCountResultadosSentencias" style="display:none">
            <label id="IdCountResultadosSentencias" for="" style="color:#24135F;"></label>
        </div>
        <div class="col-12 col-xl-12 col-lg-12 col-md-12 col-sm-12">
            <div class="row">
                <div class="col-12 col-xl-3 col-lg-3 col-md-12 col-sm-12">  
                    <div class="row">
                        <div class="container-filters number">
                            <label for="edit-fecha" class="control-label">Número de expediente:</label>
                            <input type="text" id="IdExpediente" autocomplete="off" name="name" maxlength="50" size="10">   
                        </div>
                    </div>
                </div>
                <div class="col-12 col-xl-6 col-lg-6 col-md-12 col-sm-12">  
                    <div class="row">
                        <div class="container-filters">
                            <label for="edit-fecha" class="control-label">Tema:</label>
                            <input type="text" id="IdSearchTemaByAsunto" name="name" maxlength="500"
                            size="10"  autocomplete="off">   
                        </div>
                    </div>  
                </div>
                <div class="col-12 col-xl-3 col-lg-3 col-md-12 col-sm-12"> 
                    <div class="row">
                        <div class="container-buttons">
                            <button id="idSearchFiltros"
                            class="button button--primary js-form-submit form-submit btn-primary btn-active" type="button"
                            name="op" value="Submit">Búsqueda</button>
                            <button id="idReiniciar" data-drupal-selector="edit-submit"
                            class="button button--primary js-form-submit form-submit btn-primary btn-active" type="submit"
                            id="edit-submit" name="op" value="Enviar mensaje">
                            <i class="fa fa-trash" aria-hidden="true"></i>
                            Reiniciar</button> 
                        </div>  
                    </div> 
                </div>
            </div>
            <div class="row" style="display:none">
                <label for="asunto" class="control-label">Tipo de Asunto:</label>
                <!-- <input type="text" id="IdAsunto" autocomplete="off" name="name" maxlength="200" style="width:60%" size="10"> -->
                <select name="selectAsc" id="IdTipoAsunto" style="width:60%">
                    <option value="Cualquiera" selected="selected">Cualquiera</option>                       
                </select>  
            </div>
            <div class="row">
                <div class="col-12 col-xl-12 col-lg-12 col-md-12 col-sm-12">
                    <div class="container-select">
                        <div class="row">
                            <div class="col-12 col-xl-6 col-lg-6 col-md-6 col-sm-12">
                                <div class="row">
                                    <fieldset>
                                        <div id="formTemas">

                                            <div class="radio-inline ">
    
                                                <input type="radio" id="idTemaFondo" name="radioTema" value="temasFondo"
                                                     class="ajustar" checked> Temas de fondo
                
                
                                            </div>
                                            <div class="radio-inline ">
                
                                                <input class="form-check-input" type="radio" id="idTemaProcesal" name="radioTema" value="temasProcesal"
                                                    class="ajustar"> Temas procesales
                
                                            </div>
                                            <div class="radio-inline ">
                
                                                <input class="form-check-input" type="radio" id="idAmbos" name="radioTema" value="Ambos"
                                                     class="ajustar"> Ambos
                
                                            </div>
                                        </div>
                                    </fieldset>
                                </div>
                            </div>
                            <div class="col-12 col-xl-6 col-lg-6 col-md-6 col-sm-12">
                                <div class="select-date">
                                    <div class="row">                                   
                                            <label for="edit-fecha" class="control-label">Mes:</label>
                                            <div class="select-wrapper">
                                                <select class="form-select form-control" name="select" id="MesSesion">
                                                    <option value="00" selected="selected">Cualquiera</option>
                                                    <option value="Enero" select="seledted">Enero</option>
                                                    <option value="Febrero" select="seledted">Febrero</option>
                                                    <option value="Marzo" select="seledted">Marzo</option>
                                                    <option value="Abril" select="seledted">Abril</option>
                                                    <option value="Mayo" select="seledted">Mayo</option>
                                                    <option value="Junio" select="seledted">Junio</option>
                                                    <option value="Julio" select="seledted">Julio</option>
                                                    <option value="Agosto" select="seledted">Agosto</option>
                                                    <option value="Septiembre" select="seledted">Septiembre</option>
                                                    <option value="Octubre" select="seledted">Octubre</option>
                                                    <option value="Noviembre" select="seledted">Noviembre</option>
                                                    <option value="Diciembre" select="seledted">Diciembre</option>
                                                </select>
                                            </div>
                                        
                                            <label for="edit-fecha" class="control-label">Año:</label>
                                            <div class="select-wrapper">
                                                <select class="form-select form-control" id="AnioSesion"></select>
                                            </div>
                                    </div> 
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="view-content">
           
                <table id="dtVerTaquigraficas" class="table table-striped table-bordered" cellspacing="0">
                </table>
           
            <nav class="pager-nav text-center container-paginacion" id="IdNavPagination">
                <div id="content"> </div>
                <div id="show_paginator" class="pagination js-pager__items js-form-submit form-submit"
                    styles="color:#24135F; background-color:#24135F;"></div>
            </nav>

            <!-- alert alert-success text-center  -->
            <div class=" text-center" role="alert" id="IdDivSinResultados">
                <p style="color: #24135F; border: solid 1px #24135F; ">Búsqueda sin resultados </p>
            </div>

        </div>
        
        <script src="./js/vTaquigraficas.js"></script>
</body>

</html>